Opened 9 years ago

Closed 6 years ago

#1076 closed defect (wontfix)

bindctl exit because of input in wrong format

Reported by: zhangcuiling Owned by:
Priority: very low Milestone: Remaining BIND10 tickets
Component: ~bind-ctl (obsolete) Version: bind10-old
Keywords: Cc:
CVSS Scoring: Parent Tickets:
Sensitive: no Defect Severity: Medium
Sub-Project: Core Feature Depending on Ticket:
Estimated Difficulty: 0.0 Add Hours to Ticket: 0
Total Hours: 0 Internal?: no

Description

use bind10 updated at this point:
Date: Wed Jun 29 01:18:59 2011 +0000

> config show Resolver//
Traceback (most recent call last):
  File "/usr/lib/python3.1/cmd.py", line 213, in onecmd
    func = getattr(self, 'do_' + cmd)
AttributeError: 'BindCmdInterpreter' object has no attribute 'do_config'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./bindctl", line 138, in <module>
    tool.run()
  File "/home/zcl/software/bind10/20110629/lib/python3.1/site-packages/bindctl/bindcmd.py", line 128, in run
    self.cmdloop()
  File "/usr/lib/python3.1/cmd.py", line 139, in cmdloop
    stop = self.onecmd(line)
  File "/home/zcl/software/bind10/20110629/lib/python3.1/site-packages/bindctl/bindcmd.py", line 450, in onecmd
    Cmd.onecmd(self, line)
  File "/usr/lib/python3.1/cmd.py", line 215, in onecmd
    return self.default(line)
  File "/home/zcl/software/bind10/20110629/lib/python3.1/site-packages/bindctl/bindcmd.py", line 416, in default
    self._parse_cmd(line)
  File "/home/zcl/software/bind10/20110629/lib/python3.1/site-packages/bindctl/bindcmd.py", line 554, in _parse_cmd
    self._handle_cmd(cmd)
  File "/home/zcl/software/bind10/20110629/lib/python3.1/site-packages/bindctl/bindcmd.py", line 396, in _handle_cmd
    self.apply_config_cmd(cmd)
  File "/home/zcl/software/bind10/20110629/lib/python3.1/site-packages/bindctl/bindcmd.py", line 626, in apply_config_cmd
    values = self.config_data.get_value_maps(identifier, show_all)
  File "/home/zcl/software/bind10/20110629/lib/python3.1/site-packages/isc/config/config_data.py", line 555, in get_value_maps
    spec_part = find_spec_part(spec.get_config_spec(), id)
  File "/home/zcl/software/bind10/20110629/lib/python3.1/site-packages/isc/config/config_data.py", line 174, in find_spec_part
    cur_el = _find_spec_part_single(cur_el, id_parts[-1])
IndexError: list index out of range

Subtickets

Change History (6)

comment:1 Changed 9 years ago by shane

  • Defect Severity changed from N/A to Medium
  • Milestone changed from New Tasks to Year 3 Task Backlog
  • Type changed from enhancement to defect

comment:2 Changed 9 years ago by jreed

Also see #986 and #1195

comment:3 Changed 8 years ago by shane

  • Component changed from Unclassified to bind-ctl
  • Milestone Year 3 Task Backlog deleted
  • Sub-Project changed from DNS to Core

comment:4 Changed 7 years ago by jreed

Also see #2485 and #2816

comment:5 Changed 6 years ago by tomek

  • Milestone set to Remaining BIND10 tickets

comment:6 Changed 6 years ago by tomek

  • Resolution set to wontfix
  • Status changed from new to closed
  • Version set to old-bind10

This issue is related to bind10 code that is no longer part of Kea.

If you are interested in BIND10/Bundy framework or its DNS components,
please check http://bundy-dns.de.

Closing ticket.

Note: See TracTickets for help on using tickets.